<div class="container">

  <div class="m2Sys-box">
    <form #form="ngForm" autocomplete="off" (submit)="editEmployee(form)" >
      <button type="button" class="btn btn-primary float-md-none" (click)="backToList();">Back To List</button>
      <fieldset>
        <b><legend class="offset-5">Employee {{isViewOnly?'View':'Edit'}}</legend></b>
          <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12">

              <div class="form-inline">
                <div class="form-group col-lg-6 col-md-6 col-sm-12">
                  <label for="emp-edit-first-name" class="col-lg-4 col-md-4 col-sm-12">First Name</label>
                  <input type="text" id="emp-edit-first-name" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-edit-first-name" #FirstName="ngModel" [(ngModel)]="employee.FirstName" maxlength="50" required />
                  <label *ngIf="formValidation.FirstName.length>0" class="alert alert-danger">
                    {{formValidation.FirstName}}
                  </label>
                </div>
                <div class="form-group col-lg-6 col-md-6 col-sm-12">
                  <label for="emp-edit-last-name" class="col-lg-4 col-md-4 col-sm-12">Last Name</label>
                  <input type="text" id="emp-edit-last-name" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-edit-last-name" [(ngModel)]="employee.LastName" maxlength="50" required />
                </div>
              </div>
            </div>
            <div class="col-lg-12 col-md-12 col-sm-12">
              <div class="form-inline">
                <div class="form-group col-lg-6 col-md-6 col-sm-12">
                  <label for="emp-edit-first-name" class="col-lg-4 col-md-4 col-sm-12">Middle Name</label>
                  <input type="text" id="emp-edit-middle-name" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-edit-middle-name" maxlength="50" [(ngModel)]="employee.MiddleName" />
                </div>
                <div class="form-group col-lg-6 col-md-6 col-sm-12">
                  <label for="emp-edit-dob" class="col-lg-4 col-md-4 col-sm-12">Date Of Birth</label>
                  <input type="date" id="emp-edit-dob" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-edit-dob" [value]="employee.DateOfBirth| date:'yyyy-MM-dd'" (input)="employee.DateOfBirth=($event.target.valueAsDate)" required />
                  <label *ngIf="formValidation.DateOfBirth.length>0" class="alert alert-danger">
                    {{formValidation.DateOfBirth}}
                  </label>
                </div>
              </div>
            </div>
            <div class="col-lg-12 col-md-12 col-sm-12">
              <div class="form-inline">
                <div class="form-group col-lg-6 col-md-6 col-sm-12">
                  <label for="emp-edit-joining-date" class="col-lg-4 col-md-4 col-sm-12">Joining Date</label>
                  <input type="date" id="emp-edit-joining-date" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-edit-joining-date" [value]="employee.JoiningDate| date:'yyyy-MM-dd'" (input)="employee.JoiningDate=($event.target.valueAsDate)" />
                  <label *ngIf="formValidation.JoiningDate.length>0" class="alert alert-danger">
                    {{formValidation.JoiningDate}}
                  </label>
                </div>
                <div class="form-group col-lg-6 col-md-6 col-sm-12">
                  <label for="emp-edit-department" class="col-lg-4 col-md-4 col-sm-12">Department</label>
                  <select name="emp-edit-department" id="emp-edit-department" class="form-control" [(ngModel)]="employee.DepartmentId">
                    <option *ngFor="let department of departmentList" value={{department.Id}}>
                      {{department.Name}}
                    </option>
                  </select>
                  <label *ngIf="formValidation.Department.length>0" class="alert alert-danger">
                    {{formValidation.Department}}
                  </label>
                </div>
              </div>
            </div>
            <div class="col-lg-12 col-md-12 col-sm-12">
              <div class="form-inline">
                <div class="form-group col-lg-6 col-md-6 col-sm-12">
                  <label for="emp-edit-designation" class="col-lg-4 col-md-4 col-sm-12">Designation</label>
                  <select name="emp-edit-designation" id="emp-edit-designation" class="form-control" [(ngModel)]="employee.DesignationId">
                    <option *ngFor="let designation of designationList" value={{designation.Id}}>
                      {{designation.Name}}
                    </option>
                  </select>
                  <label *ngIf="formValidation.Designation.length>0" class="alert alert-danger">
                    {{formValidation.Designation}}
                  </label>
                </div>
              </div>
            </div>
            <div class="form-group offset-10" *ngIf="!isViewOnly">
              <button type="submit" class="btn btn-success float-right">Save</button>
            </div>
          </div>
</fieldset>
    </form>
  </div>
</div>
